Bug 300965 - wrong amount on transfer with currency change
Summary: wrong amount on transfer with currency change
Status: RESOLVED FIXED
Alias: None
Product: kmymoney
Classification: Unclassified
Component: general (show other bugs)
Version: 4.6.2
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: KMyMoney Devel Mailing List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-05-31 21:11 UTC by Markus Granzow
Modified: 2013-12-27 12:09 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Markus Granzow 2012-05-31 21:11:07 UTC
Ich habe eine Buchung auf dem Euro-Online-Konto. Diese ist eine Umbuchung von einem CHF-Konto. Mit 'Bearbeiten' und 'umbuchen' und 'Eintragen' wird der Umtausch-Editor angezeigt. Anklicken von Betrag (bei Umwandeln von Eur auf CHF) und Eingabe von 5000.00. Im CHF-Konto wird dann aber nur 4999,59 angezeigt.

Reproducible: Always

Steps to Reproduce:
1.Eingabe von Betrag 5000,00 im Umtauscheditor
2.Anzeige im Konto von 4999,59
3.


Expected Results:  
Anzeige von 5000,00 im 2. Konto
Comment 1 Markus Granzow 2013-12-27 09:38:28 UTC
Das Problem existiert immer noch in Release 4.6.4.
Comment 2 Thomas Baumgart 2013-12-27 12:09:47 UTC
Git commit 8901699c749384497fe6ee71309e868466c20e49 by Thomas Baumgart.
Committed on 27/12/2013 at 12:04.
Pushed by tbaumgart into branch 'master'.

Fix precision of price returned from price entry dialog

The returned price was truncated by the global price precision which
could cause all kinds of trouble when an amount was entered but the
price precision was not large enough to yield the same result in the
equation  result = amount / price * price;

Now the price is returned without precision loss in case it is based
on an amount (method is selected by the user in the dialog). In the
case the price is entered it is returned with the global price
precision in effect.
Related: bug 205254, bug 325953

M  +8    -9    kmymoney/dialogs/kcurrencycalculator.cpp
M  +12   -1    kmymoney/dialogs/kcurrencycalculator.h

http://commits.kde.org/kmymoney/8901699c749384497fe6ee71309e868466c20e49